/*
 * Skin: Blue
 * ----------
 */
.skin-blue .main-header .navbar {
  background-color: #0087ff;
}

.skin-blue .main-header .navbar .nav>li>a {
  color: #ffffff;
}

.skin-blue .main-header .navbar .nav>li>a:hover,
.skin-blue .main-header .navbar .nav>li>a:active,
.skin-blue .main-header .navbar .nav>li>a:focus,
.skin-blue .main-header .navbar .nav .open>a,
.skin-blue .main-header .navbar .nav .open>a:hover,
.skin-blue .main-header .navbar .nav .open>a:focus,
.skin-blue .main-header .navbar .nav>.active>a {
  background: rgba(0, 0, 0, 0.1);
  color: #f6f6f6;
}

.skin-blue .main-header .navbar .sidebar-toggle {
  color: #ffffff;
}

.skin-blue .main-header .navbar .sidebar-toggle:hover {
  color: #f6f6f6;
  background: rgba(0, 0, 0, 0.1);
}

.skin-blue .main-header .navbar .sidebar-toggle {
  color: #fff;
}

.skin-blue .main-header .navbar .sidebar-toggle:hover {
  background-color: #0087ff;
}

@media (max-width: 767px) {
  .skin-blue .main-header .navbar .dropdown-menu li.divider {
    background-color: rgba(255, 255, 255, 0.1);
  }

  .skin-blue .main-header .navbar .dropdown-menu li a {
    color: #fff;
  }

  .skin-blue .main-header .navbar .dropdown-menu li a:hover {
    background: #0087ff;
  }
}

.skin-blue .main-header .logo {
  background-color: #0087ff;
  color: #ffffff;
  border-bottom: 0 solid transparent;
}

.skin-blue .main-header .logo:hover {
  background-color: #0087ff;
}

.skin-blue .main-header li.user-header {
  background-color: #0087ff;
}

.skin-blue .content-header {
  background: transparent;
}

.skin-blue .wrapper,
.skin-blue .main-sidebar,
.skin-blue .left-side {
  background-color: #222d32;
}

.skin-blue .user-panel>.info,
.skin-blue .user-panel>.info>a {
  color: #fff;
}

.skin-blue .sidebar-menu>li.header {
  color: #4b646f;
  background: #1a2226;
}

.skin-blue .sidebar-menu>li>a {
  border-left: 3px solid transparent;
}

.skin-blue .sidebar-menu>li:hover>a,
.skin-blue .sidebar-menu>li.active>a {
  color: #ffffff;
  background: #1e282c;
  border-left-color: #0087ff;
}

.skin-blue .sidebar-menu>li>.treeview-menu {
  margin: 0 1px;
  background: #2c3b41;
  padding-left: 10px;
}

.skin-blue .sidebar a {
  color: #b8c7ce;
}

.skin-blue .sidebar a:hover {
  text-decoration: none;
}

.skin-blue .treeview-menu>li>a {
  color: #8aa4af;
}

.skin-blue .treeview-menu>li.active>a,
.skin-blue .treeview-menu>li>a:hover {
  color: #ffffff;
}

.skin-blue .sidebar-form {
  border-radius: 3px;
  border: 1px solid #374850;
  margin: 10px 10px;
}

.skin-blue .sidebar-form input[type="text"],
.skin-blue .sidebar-form .btn {
  box-shadow: none;
  background-color: #374850;
  border: 1px solid transparent;
  height: 35px;
  -webkit-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}

.skin-blue .sidebar-form input[type="text"] {
  color: #666;
  border-top-left-radius: 2px;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 2px;
}

.skin-blue .sidebar-form input[type="text"]:focus,
.skin-blue .sidebar-form input[type="text"]:focus+.input-group-btn .btn {
  background-color: #fff;
  color: #666;
}

.skin-blue .sidebar-form input[type="text"]:focus+.input-group-btn .btn {
  border-left-color: #fff;
}

.skin-blue .sidebar-form .btn {
  color: #999;
  border-top-left-radius: 0;
  border-top-right-radius: 2px;
  border-bottom-right-radius: 2px;
  border-bottom-left-radius: 0;
}

.skin-blue.layout-top-nav .main-header>.logo {
  background-color: #0087ff;
  color: #ffffff;
  border-bottom: 0 solid transparent;
}

.skin-blue.layout-top-nav .main-header>.logo:hover {
  background-color: #0087ff;
}

/* NAV TABS */
.nav-login {
  margin-bottom: 20px;
  /* background: #fff; */
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
  border-radius: 3px;
}

.nav-login>.nav-tabs {
  margin: 0;
  /* border-bottom-color: #0087ff; */
  border-bottom: 3px solid #0087ff;
  border-top-right-radius: 3px;
  border-top-left-radius: 3px;
}

.nav-login>.nav-tabs>li {
  border-top: 3px solid transparent;
  margin-bottom: -2px;
  margin-right: 5px;
}

.nav-login>.nav-tabs>li>a {
  color: #444;
  border-radius: 0;
}

.nav-login>.nav-tabs>li>a.text-muted {
  color: #999;
}

.nav-login>.nav-tabs>li>a,
.nav-login>.nav-tabs>li>a:hover {
  background: transparent;
  margin: 0;
}

.nav-login>.nav-tabs>li>a:hover {
  color: #999;
}

.nav-login>.nav-tabs>li:not(.active)>a:hover,
.nav-login>.nav-tabs>li:not(.active)>a:focus,
.nav-login>.nav-tabs>li:not(.active)>a:active {
  border-color: transparent;
}

.nav-login>.nav-tabs>li.active {
  border-top-color: #0087ff;
}

.nav-login>.nav-tabs>li.active>a,
.nav-login>.nav-tabs>li.active:hover>a {
  background-color: #0087ff;
  color: #fff;
}

.nav-login>.nav-tabs>li.active>a {
  border-top-color: transparent;
  border-left-color: transparent;
  border-right-color: transparent;
}

.nav-login>.nav-tabs>li:first-of-type {
  margin-left: 0;
}

.nav-login>.nav-tabs>li:first-of-type.active>a {
  border-left-color: transparent;
}

.nav-login>.nav-tabs.pull-right {
  float: none !important;
}

.nav-login>.nav-tabs.pull-right>li {
  float: right;
}

.nav-login>.nav-tabs.pull-right>li:first-of-type {
  margin-right: 0;
}

.nav-login>.nav-tabs.pull-right>li:first-of-type>a {
  border-left-width: 1px;
}

.nav-login>.nav-tabs.pull-right>li:first-of-type.active>a {
  border-left-color: transparent;
  border-right-color: transparent;
}

.nav-login>.nav-tabs>li.header {
  line-height: 35px;
  padding: 0 10px;
  font-size: 20px;
  color: #444;
}

.nav-login>.nav-tabs>li.header>.fa,
.nav-login>.nav-tabs>li.header>.glyphicon,
.nav-login>.nav-tabs>li.header>.ion {
  margin-right: 5px;
}

.nav-login>.tab-content {
  background: #fff;
  padding: 25px;
  border-bottom-right-radius: 3px;
  border-bottom-left-radius: 3px;
}

.nav-login .dropdown.open>a:active,
.nav-login .dropdown.open>a:focus {
  background: transparent;
  color: #999;
}

.row-flex {
  display: flex;
  align-items: center; /* Membuat anak elemen berada di tengah secara vertikal */
  flex-wrap: wrap;
}

.pagination > .active > a, .pagination > .active > a:focus, .pagination > .active > a:hover, .pagination > .active > span, .pagination > .active > span:focus, .pagination > .active > span:hover {
  z-index: 2;
  color: #fff;
  cursor: default;
  background-color: #0087ff;
  border-color: #0087ff;
}

[x-cloak] { display: none !important; }

/* Membuat semua Modal Bootstrap tampil persis di tengah layar */
.modal {
  text-align: center;
  padding: 0 !important;
}

.modal:before {
  content: '';
  display: inline-block;
  height: 100%;
  vertical-align: middle;
  margin-right: -4px; /* Menghilangkan spasi ekstra inline-block */
}

.modal-dialog {
  display: inline-block;
  text-align: left;
  vertical-align: middle;
}

/* .box-header-custom {
  color: #444;
  display: block;
  padding: 10px;
  position: relative;
  background-color: #eff1f4;
} */